%%
%% This is file `strayman.cls',
%% generated with the docstrip utility.
%%
%% The original source files were:
%%
%% strayman.dtx  (with options: `strayman')
%% 
%% IMPORTANT NOTICE
%%
%% strayman -- a LaTeX document class for Straylight manuals
%% Copyright (c) 1996 Straylight
%%
%% This program is free software; you can redistribute it and/or modify
%% it under the terms of the GNU General Public License as published by
%% the Free Software Foundation; either version 2 of the License, or
%% (at your option) any later version.
%%
%% This program is distributed in the hope that it will be useful,
%% but WITHOUT ANY WARRANTY; without even the implied warranty of
%% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%% GNU General Public License for more details.
%%
%% You should have received a copy of the GNU General Public License
%% along with this program; if not, write to the Free Software
%% Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
%%
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{strayman}
              [2003/09/04 1.10 Straylight document class]
%% \CharacterTable
%%  {Upper-case    \A\B\C\D\E\F\G\H\I\J\K\L\M\N\O\P\Q\R\S\T\U\V\W\X\Y\Z
%%   Lower-case    \a\b\c\d\e\f\g\h\i\j\k\l\m\n\o\p\q\r\s\t\u\v\w\x\y\z
%%   Digits        \0\1\2\3\4\5\6\7\8\9
%%   Exclamation   \!     Double quote  \"     Hash (number) \#
%%   Dollar        \$     Percent       \%     Ampersand     \&
%%   Acute accent  \'     Left paren    \(     Right paren   \)
%%   Asterisk      \*     Plus          \+     Comma         \,
%%   Minus         \-     Point         \.     Solidus       \/
%%   Colon         \:     Semicolon     \;     Less than     \<
%%   Equals        \=     Greater than  \>     Question mark \?
%%   Commercial at \@     Left bracket  \[     Backslash     \\
%%   Right bracket \]     Circumflex    \^     Underscore    \_
%%   Grave accent  \`     Left brace    \{     Vertical bar  \|
%%   Right brace   \}     Tilde         \~}
%%
\newcommand\@ptsize{}
\newif\if@restonecol\@restonecolfalse
\newif\if@titlepage\@titlepagefalse
\newif\if@openright\@openrighttrue
\newif\if@openbib\@openbibfalse
\newif\if@appendix\@appendixfalse
\newif\if@article\@articletrue
\newif\if@offsetpages\@offsetpagestrue
\newif\if@numbering\@numberingtrue
\newif\if@herefloats\@herefloatsfalse
\newif\if@runinsubsubsec\@runinsubsubsectrue
\newif\if@hyperref\@hyperreftrue
\newif\if@indentpar
\newdimen\pagesurround
\let\headfam\rmfamily
\let\pad@margin\@empty
\def\@delayed{}
\def\@delaycode#1{%
  \expandafter\def\expandafter\@delayed\expandafter{\@delayed#1}%
}
\DeclareOption{a4paper}{%
  \paperheight297mm%
  \paperwidth210mm%
  \pagesurround1in%
}
\DeclareOption{a5paper}{%
  \paperheight210mm%
  \paperwidth148mm%
  \pagesurround12mm%
}
\DeclareOption{b5paper}{%
  \paperheight250mm%
  \paperwidth176mm%
  \pagesurround1in%
}
\DeclareOption{letterpaper}{%
  \paperheight11in%
  \paperwidth8.5in%
  \pagesurround1in%
}
\DeclareOption{legalpaper}{%
  \paperheight14in%
  \paperwidth8.5in%
  \pagesurround1in%
}
\DeclareOption{executivepaper}{%
  \paperheight10.5in%
  \paperwidth7.25in%
  \pagesurround1in%
}
\DeclareOption{landscape}{%
  \@tempdima\paperheight%
  \paperheight\paperwidth%
  \paperwidth\@tempdima%
}
\DeclareOption{8pt}{\renewcommand\@ptsize{8pt}}
\DeclareOption{9pt}{\renewcommand\@ptsize{9pt}}
\DeclareOption{10pt}{\renewcommand\@ptsize{10pt}}
\DeclareOption{11pt}{\renewcommand\@ptsize{11pt}}
\DeclareOption{12pt}{\renewcommand\@ptsize{12pt}}
\DeclareOption{text}{%
  \renewcommand\@ptsize{text}%
  \setbox\z@\hbox{\texttt{M\strut}}%
  \newdimen\tt@chw\tt@chw\wd\z@%
  \newdimen\tt@chh\tt@chh\ht\z@\advance\tt@chh\dp\z@%
  \paperwidth77\tt@chw%
  \paperheight60\tt@chh%
  \raggedright%
  \def\pad@margin{.}
}
\DeclareOption{oneside}{\@twosidefalse \@mparswitchfalse}
\DeclareOption{twoside}{\@twosidetrue  \@mparswitchfalse \reversemarginpar}
\DeclareOption{draft}{\overfullrule5\p@}
\DeclareOption{final}{\overfullrule\z@}
\DeclareOption{titlepage}{\@titlepagetrue}
\DeclareOption{notitlepage}{\@titlepagefalse}
\DeclareOption{openright}{\@openrighttrue}
\DeclareOption{openany}{\@openrightfalse}
\DeclareOption{onecolumn}{\@twocolumnfalse}
\DeclareOption{twocolumn}{\@twocolumntrue}
\DeclareOption{offsetpages}{\@offsetpagestrue}
\DeclareOption{nooffsetpages}{\@offsetpagesfalse}
\DeclareOption{herefloats}{\@herefloatstrue}
\DeclareOption{noherefloats}{\@herefloatsfalse}
\DeclareOption{leqno}{\input{leqno.clo}}
\DeclareOption{fleqn}{\input{fleqn.clo}}
\DeclareOption{openbib}{\@openbibtrue}
\DeclareOption{article}{\@articletrue}
\DeclareOption{noarticle}{\@articlefalse}
\DeclareOption{numbering}{\@numberingtrue}
\DeclareOption{nonumbering}{\@numberingfalse}
\DeclareOption{runinsubsubsec}{\@runinsubsubsectrue}
\DeclareOption{noruninsubsubsec}{\@runinsubsubsecfalse}
\DeclareOption{indentpar}{\@indentpartrue}
\DeclareOption{noindentpar}{\@indentparfalse}
\DeclareOption{book}{\@titlepagetrue\@articlefalse}
\DeclareOption{hyperref}{\@hyperreftrue}
\DeclareOption{nohyperref}{\@hyperreffalse}
\ExecuteOptions{a4paper,10pt,twoside,onecolumn,final}
\ProcessOptions
\newif\ifpdfing\pdfingfalse
\if1\ifx\pdfoutput\@@undefined@@0\else\the\pdfoutput\fi
  \pdfingtrue
\fi
\ifpdfing
  \pdfpageheight\paperheight
  \pdfpagewidth\paperwidth
\fi
\if@hyperref
  \AtEndOfClass{%
    \RequirePackage[%
      bookmarks = true, bookmarksnumbered = true, bookmarksdepth = 3,
      colorlinks = true, linkcolor = blue, citecolor = blue, urlcolor = blue,
      breaklinks = true]{hyperref}
  }
  \ifpdfing
    \PassOptionsToPackage{pdftex}{hyperref}
  \else
    \PassOptionsToPackage{dvips}{hyperref}
  \fi
\fi
\input{strayman.\@ptsize}
\RequirePackage{fancyhdr}
\RequirePackage{multicol}
\@delayed
\lineskip\p@
\normallineskip\p@
\renewcommand\baselinestretch{}
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
\setcounter{topnumber}{2}
\renewcommand\topfraction{.7}
\setcounter{bottomnumber}{1}
\renewcommand\bottomfraction{.3}
\setcounter{totalnumber}{3}
\renewcommand\textfraction{.1}
\renewcommand\floatpagefraction{.8}
\setcounter{dbltopnumber}{2}
\renewcommand\dbltopfraction{.7}
\renewcommand\dblfloatpagefraction{.5}
\def\ps@headings{%
\let\@oddfoot\@empty\let\@evenfoot\@empty
\def\@evenhead{\thepage\hfil\slshape\leftmark}%
\def\@oddhead{{\slshape\rightmark}\hfil\thepage}%
\let\@mkboth\markboth
\def\chaptermark##1{\markboth {\thechapter. ##1}{}}%
\def\sectionmark##1{\markright {\thesection. ##1}}%
}
\def\ps@myheadings{%
  \let\@oddfoot\@empty\let\@evenfoot\@empty
  \def\@evenhead{\thepage\hfil\slshape\leftmark}%
  \def\@oddhead{{\slshape\rightmark}\hfil\thepage}%
  \let\@mkboth\@gobbletwo
  \let\chaptermark\@gobble
  \let\sectionmark\@gobble
}
\if@titlepage
  \newcommand\maketitle{%
    \begin{titlepage}%
      \let\footnotesize\small%
      \let\footnoterule\relax%
      \null\vfil%
      \vskip 60\p@%
      \begin{center}%
        {\LARGE\@title\par}%
        \vskip3em%
        {%
          \large%
          \lineskip.75em%
          \begin{tabular}[t]{c}%
            \@author%
          \end{tabular}%
          \par%
        }%
        \vskip1.5em%
        {\large \@date \par}%       % Set date in \large size.
      \end{center}%
      \par%
      \@thanks%
      \vfil\null%
    \end{titlepage}%
    \setcounter{footnote}{0}%
    \let\thanks\relax%
    \let\maketitle\relax%
    \gdef\@thanks{}%
    \gdef\@author{}%
    \gdef\@title{}%
  }
\else
  \newcommand\maketitle{%
    \par%
    \begingroup%
      \renewcommand\thefootnote{\fnsymbol{footnote}}%
      \def\@makefnmark{\hb@xt@\z@{$\m@th^{\@thefnmark}$\hss}}%
      \long\def\@makefntext##1{%
        \parindent1em\noindent%
        \hb@xt@1.8em{\hss$\m@th^{\@thefnmark}$}##1%
      }%
      \if@twocolumn%
        \ifnum\col@number=\@ne%
          \@maketitle%
        \else%
          \twocolumn[\@maketitle]%
        \fi%
      \else%
        \newpage%
        \global\@topnum\z@%   % Prevents figures from going at top of page.
        \@maketitle%
      \fi%
      \thispagestyle{plain}%
      \@thanks%
    \endgroup%
    \setcounter{footnote}{0}%
    \let\thanks\relax%
    \let\maketitle\relax%
    \let\@maketitle\relax%
    \gdef\@thanks{}%
    \gdef\@author{}%
    \gdef\@title{}%
  }
\fi
\def\@maketitle{%
  \newpage%
  \null%
  \vskip2em%
  \begin{center}%
    {\LARGE\@title\par}%
    \vskip1.5em%
    {%
      \large%
      \lineskip.5em%
      \begin{tabular}[t]{c}%
        \@author%
      \end{tabular}%
      \par%
    }%
    \vskip 1em%
    {\large\@date}%
  \end{center}%
  \par%
  \vskip1.5em%
}
\newenvironment{titlepage}{%
  \cleardoublepage%
  \if@twocolumn%
    \@restonecoltrue\onecolumn%
  \else%
    \@restonecolfalse\newpage%
  \fi%
  \centrepage%
  \if@compatibility%
    \setcounter{page}{0}%
  \fi%
}{%
  \thispagestyle{empty}%
  \if@restonecol%
    \twocolumn%
  \else%
    \newpage%
  \fi%
}
\def\centrepage{%
  \advance\oddsidemargin-\leftindent%
  \advance\evensidemargin-\leftindent%
  \advance\textwidth\leftindent%
  \advance\linewidth\leftindent%
  \advance\leftmargini0.5\leftindent%
  \leftindent\z@%
  \sectindent\z@%
  \hsize\textwidth%
}
\newcommand\chaptermark[1]{}
\setcounter{secnumdepth}{\if@numbering\if@runinsubsubsec2\else3\fi\else0\fi}
\newcounter {part}
\newcounter {chapter}
\newcounter {section}[chapter]
\newcounter {subsection}[section]
\newcounter {subsubsection}[subsection]
\newcounter {paragraph}[subsubsection]
\newcounter {subparagraph}[paragraph]
\renewcommand\thepart          {\Roman{part}}
\renewcommand\thechapter       {\arabic{chapter}}
\if@article
  \renewcommand\thesection     {\arabic{section}}
\else
  \renewcommand\thesection     {\thechapter.\arabic{section}}
\fi
\renewcommand\thesubsection    {\thesection.\arabic{subsection}}
\renewcommand\thesubsubsection {\thesubsection .\arabic{subsubsection}}
\renewcommand\theparagraph     {\thesubsubsection.\arabic{paragraph}}
\renewcommand\thesubparagraph  {\theparagraph.\arabic{subparagraph}}
\newif\if@mainmatter
\@mainmattertrue
\newcommand\frontmatter{%
  \cleardoublepage%
  \@mainmatterfalse%
  \pagenumbering{roman}%
}
\newcommand\mainmatter{%
  \cleardoublepage%
  \@mainmattertrue%
  \pagenumbering{arabic}%
}
\newcommand\backmatter{%
  \if@openright%
    \cleardoublepage%
  \else%
    \clearpage%
  \fi%
  \@mainmatterfalse%
}
\if@titlepage
  \newenvironment{abstract}{%
      \titlepage
      \null\vfil
      \@beginparpenalty\@lowpenalty
      \begin{center}%
        \bfseries \abstractname
        \@endparpenalty\@M
      \end{center}}%
     {\par\vfil\null\endtitlepage}
\else
  \newenvironment{abstract}{%
      \if@twocolumn
        \section*{\abstractname}%
      \else
        \small
        \list{}{%
          \def\makelabel##1{%
            \normalfont%
            \fontseries{b}\fontfamily\headdefault\selectfont%
            ##1%
          }%
          \labelsep1em\labelwidth\z@\itemindent\labelsep%
          \rightmargin\leftmargin%
        }
        \item[\abstractname]%
      \fi}
      {\if@twocolumn\else\endlist\fi}
\fi
\newcommand\appendix{%
  \par%
  \setcounter{chapter}{0}%
  \setcounter{section}{0}%
  \renewcommand\@chapapp{\appendixname}%
  \if@article%
    \renewcommand\thesection{\Alph{section}}%
  \else%
    \renewcommand\thechapter{\Alph{chapter}}%
  \fi%
  \@appendixtrue%
}
\newcommand\part{%
  \cleardoublepage%
  \thispagestyle{empty}%
  \if@twocolumn%
    \onecolumn%
    \@tempswatrue%
  \else%
    \@tempswafalse%
  \fi%
  \hbox{}\vfil%
  \secdef\@part\@spart%
}
\def\@part[#1]#2{%
  \ifnum\c@secnumdepth>-2\relax%
    \refstepcounter{part}%
    \addcontentsline{toc}{part}{\thepart\hspace{1em}#1}%
  \else%
    \addcontentsline{toc}{part}{#1}%
  \fi%
  \markboth{}{}%
  \begin{centrepage}%
  \centering%
  \interlinepenalty\@M%
  \reset@font%
  \ifnum\c@secnumdepth>-2\relax%
    \huge\bfseries\headfam\partname~\thepart%
    \par%
    \vskip20\p@
  \fi%
  \normalfont\Huge\bfseries\headfam#2\par%
  \@endpart%
}
\def\@spart#1{%
  \begin{centrepage}%
  \centering%
  \interlinepenalty\@M%
  \reset@font%
  \normalfont\Huge\bfseries\headfam#1\par%
  \@endpart%
}
\def\@endpart{%
  \vfil\newpage%
  \end{centrepage}%
  \if@twoside%
    \hbox{}%
    \thispagestyle{empty}%
    \newpage%
  \fi%
  \if@tempswa%
    \twocolumn%
  \fi%
}
\newcommand\@chapapp{\chaptername}
\newcommand\chapter{%
  \if@openright%
    \cleardoublepage%
  \else%
    \clearpage%
  \fi%
  \thispagestyle{plain}%
  \global\@topnum\z@%
  \@afterindentfalse%
  \secdef\@chapter\@schapter%
}
\def\@chapter[#1]#2{%
  \ifnum\c@secnumdepth>\m@ne%
    \if@mainmatter%
      \refstepcounter{chapter}%
      \typeout{\@chapapp\space\thechapter.}%
      \addcontentsline{toc}{chapter}{\protect\numberline{\thechapter}#1}%
    \else
      \addcontentsline{toc}{chapter}{#1}%
    \fi
  \else
    \addcontentsline{toc}{chapter}{#1}
  \fi
  \chaptermark{#1}%
  \addtocontents{lof}{\protect\addvspace{10\p@}}%
  \addtocontents{lot}{\protect\addvspace{10\p@}}%
  \if@twocolumn%
    \@topnewpage[\@makechapterhead{%
      \hb@xt@.5\leftindent{\thechapter\hfil}%
    }{#2}]%
  \else%
    \@makechapterhead{%
      \hb@xt@.5\leftindent{\thechapter\hfil}%
    }{#2}%
    \@afterheading%
  \fi%
}
\def\@makechapterhead#1#2{%
  \begingroup%                          % Stop my hacking messing things up
    \vskip\baselineskip%                % This is gobbled in single column
    \hrule\@height\z@%                  % Stops TeX from binning my vskips
    \vskip32\p@%                        % Start chapters in a funny place
    \normalfont\Huge\bfseries\headfam%  % Choose a nice font for it
    \raggedright % Don't justify -- it looks nasty
    \@hangfrom{\hskip-\leftindent}%     % Start text at `real left margin'
    \ifnum\c@secnumdepth>\m@ne%         % Do we typeset chapter numbers?
      \if@mainmatter%                   % Are we past the front matter?
        #1%                             % Yes -- then typeset the number
    \fi\fi%                             % Now back to normality
    {#2}%                               % Typeset the actual chapter head
    \par\nobreak%                       % Back to vmode again, please
    \@tempdima14\p@%                    % Be this low below the baseline
    \advance\@tempdima-\prevdepth%      % This is the actual skip then
    \ifdim\@tempdima<8\p@%              % Is this not enough skippage?
      \@tempdima8\p@%                   % No: then skip some more
    \fi%
    \vskip\@tempdima%                   % Skip a bit below the title
    \@tempskipa\textwidth%              % Find the width of the column
    \advance\@tempskipa\leftindent%     % Add on the big lefthand gap
    \nointerlineskip%                   % Don't add any more space please
    \moveleft\leftindent\vbox{%         % Shift something left by an amount
      \hrule\@width\@tempskipa%         % Typeset the rule nicely
    }%
    \nointerlineskip%                   % Don't leave a gap beneath it
    \nobreak%                           % This would be a bad place to break
    \vspace{\dbltextfloatsep}%          % Add in some extra glue beneath
  \endgroup%
}
\def\@makeschapterhead{%
  \@makechapterhead{}
}
\def\@schapter#1{%
  \if@twocolumn%
    \@topnewpage[\@makeschapterhead{#1}]%
  \else%
    \@makeschapterhead{#1}%
    \@afterheading%
  \fi%
}
\def\@defsection#1#2#3#4#5#6{%
  \expandafter\newcommand\csname#1\endcsname{%
    \skip@#4\advance\skip@\ifdim\skip@<\z@-\fi\@parshortfall%
    \skip\tw@#5\relax\ifdim\skip\tw@>\z@\advance\skip\tw@\@parshortfall\fi%
    \@startsection%
      {#1}%
      {#2}%
      {#3}%
      \skip@
      {\skip\tw@}%
      {\reset@font#6\bfseries\headfam}%
  }%
}
\@defsection
    {section}%                          % Section name (for contents)
    {1}%                                % Level number (for numbering)
    {-.5\sectindent}%                   % Indentation of title
    {-1.5ex\@plus-1ex\@minus-.2ex}%     % Space after title (vert/horiz)
    {.3ex\@plus.2ex}%                   % Space before title
    {\reset@font\Large\bfseries\headfam}% How to typeset the title
\@defsection
    {subsection}%
    {2}%
    {-.25\sectindent}%
    {-1.25ex\@plus-1ex\@minus-.2ex}%
    {\p@\@plus.2ex}%
    {\reset@font\large\bfseries\headfam}%
\if@runinsubsubsec
\@defsection
    {subsubsection}%
    {3}%
    {\z@}%
    {0pt\@plus1ex\@minus.2ex}%
    {-1em}%
    {\reset@font\normalsize\bfseries\headfam}%
\@defsection
    {paragraph}%
    {4}%
    {\z@}%
    {0pt\@plus.5ex\@minus.1ex}%
    {-1em}%
    {\reset@font\normalsize\bfseries\headfam}%
\@defsection
    {subparagraph}%
    {5}%
    {\parindent}%
    {0pt\@plus.5ex\@minus.1ex}%
    {-1em}%
    {\reset@font\normalsize\bfseries\headfam}%
\else
\@defsection
    {subsubsection}%
    {3}%
    {\z@}%
    {-1.25ex\@plus-1ex\@minus-.2ex}%
    {\p@\@plus.2ex}%
    {\reset@font\normalsize\bfseries\headfam}%
\@defsection
    {paragraph}%
    {4}%
    {\z@}%
    {0pt\@plus1ex\@minus.2ex}%
    {-1em}%
    {\reset@font\normalsize\bfseries\headfam}%
\@defsection
    {subparagraph}%
    {5}%
    {\parindent}%
    {0pt\@plus.5ex\@minus.1ex}%
    {-1em}%
    {\reset@font\normalsize\bfseries\headfam}%
\fi
\def\@seccntformat#1{%
  \llap{\csname the#1\endcsname{\normalsize\quad}\hfil}%
}
\if@article
  \def\@topsect@star{\section*}
  \let\@topsect\section
\else
  \let\@topsect@star\chapter
  \let\@topsect\chapter
\fi
\if@twocolumn
  \leftmargini2em
\else
  \leftmargini2.2em
\fi
\leftmarginii2em
\leftmarginiii1.87em
\leftmarginiv1.7em
\if@twocolumn
  \leftmarginv.5em
  \leftmarginvi.5em
\else
  \leftmarginv1em
  \leftmarginvi1em
\fi
\if@indentpar
  \parindent1.2em
\else
  \parindent\z@
\fi
\leftmargin\leftmargini
\labelsep.5em
\labelwidth\leftmargini
\advance\labelwidth-\labelsep
\partopsep\z@\@plus1\p@\@minus1\p@
\@beginparpenalty -\@lowpenalty
\@endparpenalty   -\@lowpenalty
\@itempenalty     -\@lowpenalty
\def\@listI{%
  \ifvmode\else\@beginparpenalty\@M\fi%
  \leftmargin\leftmargini%
  \parsep\@parskip%
  \topsep\@parshortfall%
  \itemsep\z@%
}
\let\@listi\@listI
\@listi%
\def\@listii{%
  \ifvmode\else\@beginparpenalty\@M\fi%
  \topsep\z@\@plus\p@%
  \leftmargin\leftmarginii%
  \labelwidth\leftmarginii%
    \advance\labelwidth-\labelsep%
}
\def\@listiii{%
  \ifvmode\else\@beginparpenalty\@M\fi%
  \leftmargin\leftmarginiii%
  \labelwidth\leftmarginiii%
    \advance\labelwidth-\labelsep%
}
\def\@listiv{%
  \ifvmode\else\@beginparpenalty\@M\fi%
  \leftmargin\leftmarginiv%
  \labelwidth\leftmarginiv%
    \advance\labelwidth-\labelsep%
}
\def\@listv{%
  \ifvmode\else\@beginparpenalty\@M\fi%
  \leftmargin\leftmarginv%
  \labelwidth\leftmarginv%
    \advance\labelwidth-\labelsep%
}
\def\@listvi{%
  \ifvmode\else\@beginparpenalty\@M\fi%
  \leftmargin\leftmarginvi%
  \labelwidth\leftmarginvi%
    \advance\labelwidth-\labelsep%
}
\def\numberwithin{\@testopt\nw@i\arabic}
\def\nw@i[#1]#2#3{%
  \@addtoreset{#2}{#3}%
  \expandafter\xdef\csname the#2\endcsname{%
    \expandafter\noexpand\csname the#3\endcsname.%
    \noexpand#1{#2}}%
}
\def\removefromreset#1#2{%
  \begingroup%
  \def\@tempa{#1}%
  \toks@{}%
  \def\@elt##1{%
    \def\@tempb{##1}%
    \ifx\@tempa\@tempb%
    \else\toks@\expandafter{\the\toks@\@elt{##1}}%
    \fi%
  }
  \csname cl@#2\endcsname%
  \expandafter\xdef\csname cl@#2\endcsname{\the\toks@}%
  \endgroup%
}
\renewcommand\theenumi{\arabic{enumi}}
\renewcommand\theenumii{\alph{enumii}}
\renewcommand\theenumiii{\roman{enumiii}}
\renewcommand\theenumiv{\Alph{enumiv}}
\newcommand\labelenumi{\theenumi.}
\newcommand\labelenumii{(\theenumii)}
\newcommand\labelenumiii{\theenumiii.}
\newcommand\labelenumiv{\theenumiv.}
\renewcommand\p@enumii{\theenumi}
\renewcommand\p@enumiii{\theenumi(\theenumii)}
\renewcommand\p@enumiv{\p@enumiii\theenumiii}
\newcommand\labelitemi{$\m@th\bullet$}
\newcommand\labelitemii{\normalfont\bfseries --}
\newcommand\labelitemiii{$\m@th\ast$}
\newcommand\labelitemiv{$\m@th\cdot$}
\def\description{%
  \list{}{%
    \labelwidth\z@%
    \itemindent-\leftmargin%
    \advance\itemindent\labelsep%
    \def\makelabel{\descriptionlabel}%
  }%
}
\let\enddescription\endlist
\def\descriptionlabel#1{\normalfont\bfseries #1}
\newenvironment{verse}{%
  \let\\\@centercr%
  \list{}{%
    \itemsep\z@%
    \itemindent-1.5em%
    \listparindent\itemindent%
    \rightmargin\leftmargin%
    \advance\leftmargin1.5em%
  }%
  \item[]%
}{%
  \endlist%
}
\newenvironment{quotation}{%
  \list{}{%
    \listparindent\z@%
    \itemindent\listparindent%
    \rightmargin\leftmargin%
  }%
  \item[]%
}{%
  \endlist%
}
\newenvironment{quote}{%
  \list{}{%
    \rightmargin\leftmargin%
  }%
  \item[]%
}{%
  \endlist%
}
\newenvironment{display}{%
  \list{}{%
    \leftmargin1em%
    \rightmargin\leftmargin%
    \labelsep\z@%
    \labelwidth\z@%
  }%
  \item[]\relax%
}{%
  \endlist%
}
\arraycolsep5\p@
\tabcolsep6\p@
\arrayrulewidth.4\p@
\doublerulesep2\p@
\tabbingsep\labelsep
\skip\@mpfootins\skip\footins
\fboxsep3\p@
\fboxrule.4\p@
\if@article
  \renewcommand\theequation{\arabic{equation}}
\else
  \@addtoreset{equation}{chapter}
  \renewcommand\theequation{\thechapter.\arabic{equation}}
\fi
\newcounter{figure}[chapter]
\if@article
  \renewcommand\thefigure{\@arabic\c@figure}
\else
  \renewcommand\thefigure{\thechapter.\@arabic\c@figure}
\fi
\if@herefloats\def\fps@figure{htbp}\else\def\fps@figure{tbp}\fi
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\figurename~\thefigure}
\newenvironment{figure}{\@float{figure}}{\end@float}
\newenvironment{figure*}{\@dblfloat{figure}}{\end@dblfloat}
\newcounter{table}[chapter]
\if@article
  \renewcommand\thetable{\@arabic\c@table}
\else
  \renewcommand\thetable{\thechapter.\@arabic\c@table}
\fi
\if@herefloats\def\fps@table{htbp}\else\def\fps@table{tbp}\fi
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{\tablename~\thetable}
\newenvironment{table}{\@float{table}}{\end@float}
\newenvironment{table*}{\@dblfloat{table}}{\end@dblfloat}
\newlength\abovecaptionskip
\newlength\belowcaptionskip
\abovecaptionskip10\p@
\belowcaptionskip0\p@
\long\def\captionstyle#1#2{\itshape #1: #2}
\long\def\@makecaption#1#2{%
  \vskip\abovecaptionskip%
  \sbox\@tempboxa{\captionstyle{#1}{#2}}%
  \ifdim\wd\@tempboxa>\hsize%
    \unhbox\@tempboxa\par%
  \else%
    \hb@xt@\hsize{\hfil\unhbox\@tempboxa\hfil}%
  \fi%
  \vskip\belowcaptionskip%
}
\DeclareOldFontCommand{\rm}{\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\bfseries}{\mathbf}
\DeclareOldFontCommand{\md}{\mdseries}{\@nomath\md}
\DeclareOldFontCommand{\it}{\itshape}{\mathit}
\DeclareOldFontCommand{\up}{\upshape}{\@nomath\up}
\DeclareOldFontCommand{\sl}{\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\scshape}{\@nomath\sc}
\DeclareOldFontCommand{\nm}{\normalfont}{\mathnormal}
\DeclareRobustCommand\cal{\@fontswitch{\relax}{\mathcal}}
\DeclareRobustCommand\pmit{\@fontswitch{\relax}{\mathnormal}}
\newcommand\@pnumwidth{2em}
\newcommand\@tocrmarg {3em}
\newcommand\@dotsep{4.5}
\setcounter{tocdepth}{\if@runinsubsubsec1\else2\fi}
\def\@tocthing#1#2{%
  \@ifnextchar[{\@tocthing@i{#1}{#2}}{\@tocthing@i{#1}{#2}[\relax][\relax]}%
}
\def\@tocthing@i#1#2[#3][#4]{%
  \if@twocolumn\@restonecoltrue\onecolumn\else\@restonecolfalse\fi%
  \@topsect@star{#1}#3{\parskip\z@\@starttoc{#2}}#4%
  \if@restonecol\twocolumn\fi%
}
\newcommand\tableofcontents{\@tocthing\contentsname{toc}}
\def\l@part#1#2{%
  \ifnum\c@tocdepth>-2\relax%
    \addpenalty{-\@highpenalty}%
    \addvspace{2.25em\@plus\p@}%
    \begingroup%
      \@tempdima3em%
      \parindent\z@%
      \rightskip\@pnumwidth%
      \parfillskip-\@pnumwidth%
      \interlinepenalty\@M
      {%
        \leavevmode%
        \large\bfseries {#1}%
        \nobreak\hfil\penalty\@highpenalty\hbox{}\nobreak\hfil%
        \hb@xt@\@pnumwidth{\hss #2}%
      }%
      \par%
      \nobreak%
      \global\@nobreaktrue%
      \everypar{\global\@nobreakfalse\everypar{}}%
    \endgroup%
  \fi%
}
\def\@artsw#1#2#3{%
  \edef\@tempa{#1\if@article\noexpand#3\else\noexpand#2\fi}%
  \@tempa%
}
\@artsw\def\l@chapter\l@section#1#2{%
  \ifnum\c@tocdepth >\m@ne%
    \addpenalty{-\@highpenalty}%
    \vskip1.0em\@plus\p@%
    \setlength\@tempdima{2em}%
    \begingroup%
      \interlinepenalty\@M
      \parindent\z@%
      \rightskip\@pnumwidth%
      \parfillskip-\@pnumwidth%
      \leavevmode%
      \bfseries%
      \advance\leftskip\@tempdima%
      \hskip-\leftskip%
      {#1}%
      \nobreak\hfil\penalty\@highpenalty\hbox{}\nobreak\hfil%
      \hb@xt@\@pnumwidth{\hss #2}%
      \par%
      \penalty\@highpenalty%
    \endgroup%
  \fi%
}
\@artsw\def\l@section\l@subsection{\@dottedtocline{1}{2em}{2.5em}}
\@artsw\def\l@subsection\l@subsubsection{\@dottedtocline{2}{4.5em}{3.2em}}
\@artsw\def\l@subsubsection\l@paragraph{\@dottedtocline{3}{7.7em}{4.1em}}
\@artsw\def\l@paragraph\l@subparagraph{\@dottedtocline{4}{10.5em}{5em}}
\@artsw\def\l@subparagraph\@tempa{\@dottedtocline{5}{12.5em}{6em}}
\def\@dottedtocline#1#2#3#4#5{%
  \ifnum#1>\c@tocdepth\else%
    \vskip\z@\@plus.2\p@%
    {%
      \leftskip#2\relax%
      \rightskip\@tocrmarg%
      \parfillskip-\rightskip%
      \parindent#2\relax%
      \@afterindenttrue%
      \interlinepenalty\@M%
      \leavevmode%
      \@tempdima#3\relax%
      \advance\leftskip\@tempdima%
      \hbox{}%
      \hskip-\leftskip%
      {#4}%
      \nobreak\hfil\penalty\@highpenalty\hbox{}\nobreak%
      \leaders\hbox{$\m@th\mkern\@dotsep mu.\mkern\@dotsep mu$}\hfill%
      \hb@xt@\@pnumwidth{\hfil\reset@font\rmfamily#5}\par%
    }%
  \fi%
}
\newcommand\listoffigures{\@tocthing\listfigurename{lof}}
\newcommand\l@figure{\@dottedtocline{0}{0pt}{2em}}
\newcommand\listoftables{\@tocthing\listtablename{lot}}
\let\l@table\l@figure
\newdimen\bibindent
\bibindent1.5em
\newenvironment{thebibliography}[1]{%
  \@topsect\bibname%
  \list{\@biblabel{\arabic{enumiv}}}%
  {\settowidth\labelwidth{\@biblabel{#1}}%
  \leftmargin\labelwidth%
  \advance\leftmargin\labelsep%
  \if@openbib%
    \advance\leftmargin\bibindent%
    \itemindent-\bibindent%
    \listparindent\itemindent%
    \parsep\z@%
  \fi%
  \usecounter{enumiv}%
  \let\p@enumiv\@empty%
  \renewcommand\theenumiv{\arabic{enumiv}}}%
  \if@openbib%
    \renewcommand\newblock{\par}%
  \else%
    \renewcommand\newblock{\hskip.11em\@plus.33em\@minus.07em}%
  \fi%
  \sloppy%
  \clubpenalty4000%
  \widowpenalty4000%
  \sfcode`\.\@m%
}{%
  \def\@noitemerr{\@latex@warning{Empty `thebibliography' environment}}%
  \endlist%
}
\newcommand\newblock{}
\newenvironment{theindex}{%
  \columnseprule\z@%
  \columnsep35\p@%
  \@topsect\indexname%
  \if@twocolumn\else%
    \begin{multicols}{2}%
  \fi%
  \parskip\z@\@plus.3\p@\relax%
  \raggedright%
  \let\item\@idxitem%
}{%
  \if@twocolumn\else%
    \end{multicols}%
  \fi%
}
\newcommand\@idxitem  {\par\hangindent 40\p@}
\newcommand\subitem   {\par\hangindent 40\p@ \hspace*{20\p@}}
\newcommand\subsubitem{\par\hangindent 40\p@ \hspace*{30\p@}}
\newcommand\indexspace{\par \vskip 10\p@ \@plus5\p@ \@minus3\p@\relax}
\def\passim#1{#1 \textit{passim}}       % Passim encapsulator for indices
\def\Term#1{\emph{#1}\index{#1}}
\def\term#1{\emph{#1}\index}
\def\Index#1{#1\index{#1}}
\def\footnoterule{%
  \@tempdima.4\columnwidth%
  \ifdim\@tempdima>1in\relax%
    \@tempdima1in\relax%
  \fi%
  \kern-3\p@%
  \hrule\@width\@tempdima%
  \kern2.6\p@%
}
\@addtoreset{footnote}{chapter}
\long\def\@makefntext#1{%
  \@setpar{%
    \@@par%
    \@tempdima\hsize%
    \advance\@tempdima-1.6em%
    \parshape\@ne1.6em\@tempdima%
  }%
  \advance\linewidth-1.6em%
  \advance\@totalleftmargin1.6em%
  \par%
  \parindent\z@%
  \leavevmode%
  \llap{\@makefnmark\enspace}#1\par%
  \vskip\parskip%
}
\def\@makecol{%
   \setbox\@outputbox \box\@cclv
   \xdef\@freelist{\@freelist\@midlist}%
   \global \let \@midlist \@empty
   \@combinefloats
   \ifvoid\footins \else
     \setbox\@outputbox \vbox {%
       \boxmaxdepth \@maxdepth
       \unvbox \@outputbox
       \vskip \skip\footins
       \vfil
       \footnoterule
       \unvbox \footins
       \unskip
       }%
   \fi
   \ifvbox\@kludgeins
     \@makespecialcolbox
   \else
     \setbox\@outputbox \vbox to\@colht {%
       \@texttop
       \dimen@ \dp\@outputbox
       \unvbox \@outputbox
       \vskip -\dimen@
       \@textbottom
       }%
   \fi
   \global \maxdepth \@maxdepth
}
\newcommand\contentsname{Contents}
\newcommand\listfigurename{List of figures}
\newcommand\listtablename{List of tables}
\if@article\newcommand\bibname{References}
\else\newcommand\bibname{Bibliography}\fi
\newcommand\indexname{Index}
\newcommand\figurename{Figure}
\newcommand\tablename{Table}
\newcommand\partname{Part}
\newcommand\abstractname{Abstract}
\newcommand\chaptername{Chapter}
\newcommand\appendixname{Appendix}
\newcommand\today{\number\day\space\ifcase\month\or
  January\or February\or March\or April\or May\or June\or
  July\or August\or September\or October\or November\or December\fi
  \space\number\year}
\columnsep10\p@
\columnseprule\z@
\pagestyle{headings}
\pagenumbering{arabic}      % Arabic page numbers
\if@twocolumn
  \twocolumn
  \sloppy
  \flushbottom
\else
  \onecolumn
\fi
\newenvironment{central}{%
  \par%
  \vbox\bgroup\moveleft\leftindent\vbox\bgroup%
  \textwidth\paperwidth%
  \advance\textwidth-2\pagesurround\relax%
  \hsize\textwidth%
  \hrule\@height\z@\@depth\z@\@width\hsize%
}{%
  \egroup%
  \egroup%
}
\def\@headertitle{}
\def\title{\@dblarg\title@i}
\def\title@i[#1]#2{%
  \gdef\@title{#2}%
  \gdef\@headertitle{#1}%
}
\def\l@innerhead{}
\def\r@innerhead{}
\def\l@innerfoot{}
\def\r@innerfoot{}
\def\innerhead{\@dblarg\innerhead@i}
\def\innerhead@i[#1]#2{%
  \def\l@innerhead{#1}%
  \def\r@innerhead{#2}%
}
\def\innerfoot{\@dblarg\innerfoot@i}
\def\innerfoot@i[#1]#2{%
  \def\l@innerfoot{#1}%
  \def\r@innerfoot{#2}%
}
\let\headrulewidth\z@
\headwidth\textwidth
  \advance\headwidth\leftindent
\fancyhfoffset[LE,LO]{\leftindent}
\fancypagestyle{headings}{%
  \fancyhf{}
  \fancyhead[LE]{\bfseries\@headertitle}
  \if@article\fancyhead[RO]{\rightmark}\else\fancyhead[RO]{\leftmark}\fi
  \fancyhead[RE]{\l@innerhead} \fancyhead[LO]{\r@innerhead}
  \fancyfoot[RE]{\l@innerfoot} \fancyfoot[LO]{\r@innerfoot}
  \fancyfoot[LE,RO]{\thepage}
}
\fancypagestyle{plain}{%
  \fancyhf{}%
  \fancyfoot[RE]{\l@innerfoot} \fancyfoot[LO]{\r@innerfoot}
  \fancyfoot[LE,RO]{\thepage}%
}
\let\ps@fancy\ps@@fancy
\def\@lodd{\ifodd\c@page\hss\else\relax\fi}
\def\@rodd{\ifodd\c@page\relax\else\hss\fi}
\pagestyle{headings}
\def\parboxparskip{2ex}
\def\@arrayparboxrestore{%
  \let\par\@@par
  \let\-\@dischyph
  \let\'\@acci\let\`\@accii\let\=\@acciii
  \parindent\z@ \parskip\z@
  \everypar{\parskip\parboxparskip\everypar{}}%
  \linewidth\hsize
  \@totalleftmargin\z@
  \leftskip\z@skip \rightskip\z@skip \@rightskip\z@skip
  \parfillskip\@flushglue \lineskip\normallineskip
  \baselineskip\normalbaselineskip
  \@noskipsectrue%      % The comp.text.tex gurus said it should be
  \sloppy}
\let\key\textit
\let\button\textbf
\def\submenu{\ensuremath\Rightarrow}
\let\name\relax
\def\file#1{\mbox{\itshape #1\/}}
\sloppy
\raggedbottom
\def\riscos{RISC~OS}
\hyphenpenalty1000
\endinput
%%
%% End of file `strayman.cls'.
